<!-- main table -->
<table class="table-content" #tableContent>
  <thead>
    <tr class="row-1">
      <th class="colum-1">
        <span class="title-list">Sample ID</span>
      </th>
      <th class="colum-1">
        <span class="title-list">z-factor</span>
        <span class="line-left"></span>
      </th>
      <th class="colum-1">
        <span class="title-list top long-text">OIL</span>
        <span class="title-list top long-text">Density</span>
      </th>
      <th class="colum-1">
        <span class="title-list top long-text">OIL</span>
        <span class="title-list top long-text">Compressibility</span>
      </th>
      <th class="colum-1">
        <span class="title-list top  long-text">OIL</span>
        <span class="title-list top  long-text">Viscosity</span>
        <span class="line-left"></span>
      </th>
      <th class="colum-3">
        <span class="title-list">GOR</span>
      </th>
      <th class="colum-3">
        <span class="title-list">Bo</span>
      </th>
      <th class="colum-3">
        <span class="title-list">Bw</span>
      </th>
      <th class="colum-3">
        <span class="title-list">GWR</span>
        <span class="line-left"></span>
      </th>
      <th class="colum-1">
        <span class="title-list top  long-text">WATER</span>
        <span class="title-list top  long-text">Density</span>
      </th>
      <th class="colum-1">
        <span class="title-list top long-text">WATER</span>
        <span class="title-list top long-text">Compressibility</span>
      </th>
      <th class="colum-1">
        <span class="title-list top long-text">WATER</span>
        <span class="title-list top long-text">Viscosity</span>
        <span class="line-left"></span>
      </th>
      <th class="colum-4">
        <span class="title-list top">GAS Density</span>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let item of data">
      <td class="colum-1">
        <span class="number-table">{{ item.sampleNumber }}</span>
      </td>
      <td class="colum-1">
        <span class="number-table">{{ item.zFactor }}</span>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table"
            >{{ item.oilDensity | number: '1.2-2' }} <span class="sub-num">lbm/ft<sup>3</sup></span></span
          >
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.oilCompressibility }} <span class="sub-num">1/psi</span></span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.oilViscosity | number: '1.2-2' }} <span class="sub-num">cp</span></span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.gor | number: '1.2-2' }} <span class="sub-num">scf/bbl</span></span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.bo | number: '1.2-2' }} <span class="sub-num">rb/stb</span></span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.bw | number: '1.2-2' }} <span class="sub-num">rb/stb</span></span>
        </div>
      </td>
      <td class="colum-3">
        <div class="value-table">
          <span class="number-table">{{ item.gwr | number: '1.2-2' }} <span class="sub-num">scf/bbl</span></span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table"
            >{{ item.waterDensity | number: '1.2-2' }} <span class="sub-num">lbm/ft<sup>3</sup></span></span
          >
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.waterCompressibility }} <span class="sub-num">1/psi</span></span>
        </div>
      </td>
      <td class="colum-5">
        <div class="value-table">
          <span class="number-table">{{ item.waterViscosity | number: '1.2-2' }} <span class="sub-num">cp</span></span>
        </div>
      </td>
      <td class="colum-4">
        <div class="value-table">
          <span class="number-table">{{ item.gasViscosity | number: '1.2-2' }} <span class="sub-num">cp</span></span>
        </div>
      </td>
    </tr>
  </tbody>
</table>
<!-- end/table content -->
